MyIconPath = "/mods/ESSW"

local MyUnitIdTable = {
####### INFINITE WARS V1 ######
   ---SERIE 1---
    uel0311 =  'uel0311',
	urb5001 =  'urb5001',
	ual5001 = 'ual5001',
	xsl0110 = 'xsl0110',
   ---SERIE 2---
    ual0112 = 'ual0112',
	ura0205  = 'ura0205',
	xsb5001  = 'xsb5001',
	xsb0305  = 'xsb0305',
	ueb2110  = 'ueb2110',
   ---SERIE 3---
    ual0305  =  'ual0305',
	url0310  = 'url0310',
	xsa0306  = 'xsa0306',
	uel0110  = 'uel0110',
	---- autres----
####### INFINITE WARS V2######
   ---SERIE 1---
   ual0107 = 'ual0107',
   url0206 = 'url0206',
   xsl0206 = 'xsl0206',
   uea0110 = 'uea0110', --bomner shield
    ---SERIE2---
   ual0108 = 'ual0108',
   url0311 = 'url0311',
   xsl0207 = 'xsl0207',
   uea0401 = 'uea0401', -- vaisseau
    ---SERIE3---
   uel0108 = 'uel0108', --- tank deploy
   
    ---SERIE4 et Divers---   
   ueb4205 = 'ueb4205',  --- shield bomb
   uel0206 = 'uel0206',   -- arty mobil obus 2
   ura0110 = 'ura0110',
   
	---BARGES DE TRANSPORT INTRO V3---
   bel0101 = 'bel0101',
   bel0102 = 'bel0102',
   bel0103 = 'bel0103',
   bel0104 = 'bel0104',
   bel0105 = 'bel0105',
   bel0106 = 'bel0106',
   bel0111 = 'bel0111',
   bel0202 = 'bel0202',
   bel0204 = 'bel0204',
   bel0205 = 'bel0205',
   bel0206 = 'bel0206',
   bel0303 = 'bel0303',
   bel0304 = 'bel0304',
   bel0306 = 'bel0306',
   bel0307 = 'bel0307',
   bel0311 = 'bel0311',
   
   bal0103 = 'bal0103',
   bal0104 = 'bal0104',
   bal0106 = 'bal0106',
   bal0111 = 'bal0111',
   bal0202 = 'bal0202',
   bal0303 = 'bal0303',
   bal0304 = 'bal0304',   
   bal0305 = 'bal0305',   
   
    brl0101 = 'brl0101',
	brl0103 = 'brl0103',
	brl0104 = 'brl0104',
	brl0106 = 'brl0106',
	brl0107 = 'brl0107',
	brl0111 = 'brl0111',
	brl0202 = 'brl0202',
	brl0204 = 'brl0204',
	brl0205 = 'brl0205',
	brl0303 = 'brl0303',
	brl0304 = 'brl0304',
	brl0306 = 'brl0306',
	brl0310 = 'brl0310',
	brl0311 = 'brl0311',
   
    bsl0101= 'bsl0101',
	bsl0103= 'bsl0103',
	bsl0104= 'bsl0104',
	bsl0111= 'bsl0111',
	bsl0201= 'bsl0201',
	bsl0202= 'bsl0202',
	bsl0303= 'bsl0303',
	bsl0304= 'bsl0304',
	bsl0305= 'bsl0305',
   }

function IsMyUnit(bpid)
    for myUnitId, iconID in MyUnitIdTable do
       if myUnitId == bpid then
          return iconID
       end
    end
    return false
end
--#*
--#* Called from file /lua/ui/uiutil.lua
--#*
--#* The argument filespec is the filename of format '/icons/units/*_icon.dds'
--#*
--#**
function GetFileNameAndCheckExists(filespec)
    for myUnitID, myIconID in MyUnitIdTable do
        if string.find(filespec, myUnitID .. '_icon') then
          local iconPath = MyIconPath .. string.gsub(filespec, myUnitID, myIconID,1)
          if DiskGetFileInfo(iconPath) then
             return iconPath
          else
             WARN('Icon file '.. repr(iconPath) 
               ..' could not be found, check your file path and icon names!')
             return nil
          end
        end
    end
    return nil
end