#
# Aeon quantum 'bolt'
#
local AQuantumCannonProjectile = import('/lua/aeonprojectiles.lua').AQuantumCannonProjectile
local utilities = import('/lua/utilities.lua')

ADFQuantumCannon02 = Class(AQuantumCannonProjectile) {
		OnImpact = function(self, TargetType, TargetEntity)
		AQuantumCannonProjectile.OnImpact(self, TargetType, TargetEntity)	
		local unit = self:GetLauncher()	
		if TargetEntity then
			local Length = 7
			local slowSpeed = 0.5
			
				if TargetEntity:IsDead() == false then
					if unit then
						-- Makes the shooter shoot at a different unit if possible
						if unit:IsDead() == false then
							local targets = {}
							targets = utilities.GetEnemyUnitsInSphere(unit, unit:GetPosition(), unit:GetWeapon(1):GetBlueprint().MaxRadius)
							if table.getn(targets) > 0 then
								local newTarget = targets[Random(1, table.getn(targets))]
								while (newTarget == TargetEntity) and (table.getn(targets) != 1) do
									newTarget = targets[Random(1, table.getn(targets))]
								end
								unit:GetWeapon(1):SetTargetEntity(newTarget)
							end
						end
					end
					
					TargetEntity:SetSpeedMult(slowSpeed)
					local emitter = CreateAttachedEmitter(TargetEntity, 0, TargetEntity:GetArmy(), '/effects/emitters/aeon_shield_generator_t2_01_emit.bp'):ScaleEmitter(1)
					--WaitSeconds(Length)
					if TargetEntity:IsDead() == false then
						emitter.Destroy(emitter)
						TargetEntity.slowCounter = TargetEntity.slowCounter - 1
						if TargetEntity.slowCounter == 0 then
							TargetEntity:SetSpeedMult(1)
						end
					end
				end
				KillThread(self)
		end
		self:Destroy()
    end,
}

TypeClass = ADFQuantumCannon02

