#****************************************************************************
#**
#**  File     :  /units/UAL0112/UAL0112_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Aeon T1 Engineer Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local AAirUnit = import('/lua/aeonunits.lua').AAirUnit

UAL0112 = Class(AAirUnit) {
    
    OnStopBeingBuilt = function(self,builder,layer)
        AAirUnit.OnStopBeingBuilt(self,builder,layer)
        self.Rotator1 = CreateRotator(self, 'UAL01', 'y', nil, 200, 5, 200)
        self.Trash:Add(self.Rotator1)
        self.Rotator2 = CreateRotator(self, 'UAL02', 'x', nil, 200, 5, 200)
        self.Trash:Add(self.Rotator2)

    end,	

	OnStartCapture = function(self, target)
        AAirUnit.OnStartCapture(self, target)
        self.Rotator1:SetSpeed(550)
        self.Rotator2:SetSpeed(550)
    end,

	OnStopCapture = function(self, target)
        AAirUnit.OnStopCapture(self, target)
        self.Rotator1:SetSpeed(200)
		self.Rotator2:SetSpeed(200)
    end,

}

TypeClass = UAL0112